%define Werror_cflags %nil

%define name 	gksu
%define version 2.0.2

Summary: 	GTK+ frontend to su
Name:	 	%name
Version: 	%{version}
Release: 	%mkrel 6
License: 	GPLv2+
Group: 	 	Graphical desktop/GNOME
URL:		http://www.nongnu.org/gksu/
Source:  	http://people.debian.org/~kov/gksu/gksu/%name-%version.tar.xz
Patch2:		gksu-2.0.2-str-fmt.patch
Patch3:		gksu-2.0.2-fix-build-with-new-glib.patch
BuildRoot: 	%{_tmppath}/%name-root
BuildRequires:	libgksu-devel
BuildRequires:	intltool
Obsoletes: 	%{name} < %version

%description
gksu is a Gtk+ frontend to /bin/su. It supports login shells and preserving
environment when acting as a su frontend. It is useful to menu items or
other graphical programs that need to ask a user's password to run another
program as another user.

%prep
%setup -q
%patch2 -p1
%patch3 -p1

%build
%configure2_5x --disable-nautilus-extension
%make

%install
rm -rf %buildroot
%makeinstall_std

#drop this
rm -f %buildroot/%{_datadir}/applications/gksu.desktop

%find_lang %name

%clean
rm -fr %buildroot

%post
if [ -e /etc/gksu.conf ]; then
   sh /usr/share/gksu/gksu-migrate-conf.sh
fi

%files -f %name.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/pixmaps/*.png
%{_datadir}/%name
%{_mandir}/man1/*.1.*


%changelog
* Sun Jul 22 2018 adrianomorselli <adrianomorselli> 2.0.2-6uplos2018
- rebuild for 2018
